HScreenDeviceReservedEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.havi.ui.event
Class HScreenDeviceReservedEvent

    java.lang.Object
      java.util.EventObject
          org.davic.resources.ResourceStatusEvent
              org.havi.ui.event.HScreenDeviceReservedEvent

All Implemented Interfaces:
  Serializable

    public class HScreenDeviceReservedEvent

extends ResourceStatusEvent

This event informs that a device on this `HScreen` has been reserved by an application or other entity in the system.

The parameters to the constructors are as follows, in cases where parameters are not used, then the constructor should use the default values.

### Default parameter values exposed in the constructors

Parameter | Description | Default value | Set method | Get method
--- | --- | --- | --- | ---
None.

### Default parameter values not exposed in the constructors

Description | Default value | Set method | Get method
--- | --- | --- | ---
None.

See Also:
  Serialized Form

Constructor Summary
`HScreenDeviceReservedEvent(Object source)` Creates an `HScreenDeviceReservedEvent` object.

Method Summary
`Object` | `getSource()` Returns the device that has been reserved

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HScreenDeviceReservedEvent

    public HScreenDeviceReservedEvent(Object source)

  Creates an `HScreenDeviceReservedEvent` object. See the class description for details of constructor parameters and default values.

  Parameters:
    `source` - the `HScreenDevice` representing the device which has been reserved

Method Detail

### getSource

    public Object getSource()

  Returns the device that has been reserved

  Overrides:
    `getSource` in class `ResourceStatusEvent`
  Returns:
    an `HScreenDevice` representing the device that has been reserved

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD